#include <bits/stdc++.h>
using namespace std;
int main()
{

    long long p,q,r,l,d,a,b,c,sol=0;
    scanf("%lld%lld%lld%lld%lld",&p,&q,&r,&l,&d);
    for(long long i=l;i<=d;i++)
    {
        if(i % p!=0)
            a=(i/p)+1;
        else
            a=i/p;
        if(i % q!=0)
            b=(i/q)+1;
        else
            b=(i/q);
        if(i % r!=0)
            c=(i/r)+1;
        else
            c=i/r;
      if(a+b+c<=i) sol++;
    }
    printf("%lld",sol);
}